Bug 1313202 - [QA](6.4.z) JBoss Web; rewrite flag NC does not work
[QA](6.4.z) JBoss Web; rewrite flag NC does not work
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web (Show other bugs)
6.4.7
All Linux
unspecified Severity low
: CR1
: EAP 6.4.8
Assigned To: Rémy Maucherat
Radim Hatlapatka
:
Depends On:
Blocks: eap648-payload 1313271
  Show dependency treegraph
 
Reported: 2016-03-01 03:09 EST by Jan Stourac
Modified: 2017-01-17 07:37 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 07:37:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Stourac 2016-03-01 03:09:58 EST
Description of problem:
According to this [1], there exists 'NC' flag for rewrite rule in the Web subsystem for virtual host. However this does not work unless I use 'nocase' instead of 'NC' as a flag.

Version-Release number of selected component (if applicable):
EAP 6.4.7
JBoss Web Services - Stack CXF Server 4.3.6.Final-redhat-1

How reproducible:
Always

Steps to Reproduce:
1. start server and connect to cli
2. set-up rewrite rule: /subsystem=web/virtual-server=default-host/rewrite=myrewrite:add(pattern="/hello",substitution="/",flags="NC")
3. perform reload: reload
4. try to access 'http://localhost:8080/HELLO' in your web browser

Actual results:
Access to 'http://localhost:8080/HELLO' fails with 404 status.

Expected results:
Access to 'http://localhost:8080/HELLO' should be successful with default EAP welcome page.

Additional info:
When I use 'nocase' instead of 'NC' this feature works as expected.

[1] http://jbossweb.jboss.org/modules/rewrite.html
Comment 2 Enrique Gonzalez Martinez 2016-03-01 04:49:12 EST
Patch in: https://source.jboss.org/changelog/JBossWeb?cs=2647
Comment 5 Michael Cada 2016-05-10 04:08:42 EDT
Verified with EAP 6.4.8.CP.CR2
Comment 6 Petr Penicka 2017-01-17 07:37:35 EST
Retroactively bulk-closing issues from released EAP 6.4 cumulative patches.

Note You need to log in before you can comment on or make changes to this bug.